it-swarm.com.de

Ich kann MyPaint auf 18.10 nicht aus dem normalen Repository installieren (weder Flatpak noch Snap)

Nachdem ich 18.10 (als es Beta war) installiert und mit der Installation aller Software begonnen hatte, trat dieses Problem bei MyPaint auf. Dieses Problem besteht bis heute. Universums-Repository ist aktiviert. Ich konnte es aus Flatpak Gedanken installieren.

Sudo apt -f install sieht keine Probleme.

Wenn ich versuche, MyPaint zu installieren:

$ Sudo apt install mypaint
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mypaint : Depends: mypaint-data (>= 1.2.0-4.1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

$ apt-cache policy mypaint mypaint-data
mypaint:
  Installed: (none)
  Candidate: 1.2.0-4.1
  Version table:
     1.2.0-4.1 500
        500 http://archive.ubuntu.com/ubuntu cosmic/universe AMD64 Packages
mypaint-data:
  Installed: (none)
  Candidate: 1.2.0-4.1
  Version table:
     1.2.0-4.1 500
        500 http://archive.ubuntu.com/ubuntu cosmic/universe AMD64 Packages
        500 http://archive.ubuntu.com/ubuntu cosmic/universe i386 Packages
2
R S
Sudo apt install mypaint-data

Diese Befehlszeile behebt das Problem, entfernt jedoch Gimp (und wenn Sie Gimp nach MyPaint installieren, wird MyPaint entfernt).

4
JerareYoshi